
package com.tsconsulting.dsubbotin.tm.endpoint;

import javax.xml.ws.WebFault;


/**
 * This class was generated by Apache CXF 3.4.3
 * 2021-06-03T13:14:12.775+03:00
 * Generated source version: 3.4.3
 */

@WebFault(name = "AccessDeniedException", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/")
public class AccessDeniedException_Exception extends Exception {

    private com.tsconsulting.dsubbotin.tm.endpoint.AccessDeniedException faultInfo;

    public AccessDeniedException_Exception() {
        super();
    }

    public AccessDeniedException_Exception(String message) {
        super(message);
    }

    public AccessDeniedException_Exception(String message, java.lang.Throwable cause) {
        super(message, cause);
    }

    public AccessDeniedException_Exception(String message, com.tsconsulting.dsubbotin.tm.endpoint.AccessDeniedException accessDeniedException) {
        super(message);
        this.faultInfo = accessDeniedException;
    }

    public AccessDeniedException_Exception(String message, com.tsconsulting.dsubbotin.tm.endpoint.AccessDeniedException accessDeniedException, java.lang.Throwable cause) {
        super(message, cause);
        this.faultInfo = accessDeniedException;
    }

    public com.tsconsulting.dsubbotin.tm.endpoint.AccessDeniedException getFaultInfo() {
        return this.faultInfo;
    }
}
